'use strict';

const jsxRuntime = require('react/jsx-runtime');
const React = require('react');
const renderUtils = require('./internal/utils/render-utils.cjs');
const devProfiler = require('./internal/components/dev-profiler.cjs');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e.default : e; }

const React__default = /*#__PURE__*/_interopDefaultCompat(React);

const LayerRenderer = React__default.memo(function LayerRenderer2({
  className,
  page,
  editorConfig,
  componentRegistry,
  variables,
  variableValues
}) {
  return /* @__PURE__ */ jsxRuntime.jsx(devProfiler.DevProfiler, { id: "LayerRenderer", threshold: 30, children: /* @__PURE__ */ jsxRuntime.jsx("div", { className, children: /* @__PURE__ */ jsxRuntime.jsx(
    renderUtils.RenderLayer,
    {
      layer: page,
      editorConfig,
      componentRegistry,
      variables,
      variableValues
    }
  ) }) });
});

module.exports = LayerRenderer;
